<?
include("../sistem/cfg.dat");
include("../sistem/global.dat");
include("../temes/$teme/verh.dat");


require('functions.php');
?>
<div class="razd">Обменник!</div>
<?
updateData('exchanger','/export/exr.php');
if($data=getData('exchanger')) {
foreach($data as $value) {
$catgr[$value[0]][$value[1]]=$value[2];
}
$c=(isset($_GET['c']) && !preg_match('/[^0-9]/',$_GET['c']) && ($pc=getFirstKey($_GET['c']))!==false)?$_GET['c']:0;
if(isset($catgr[$c])) {
if($c>0) echo '<a href="exchanger.php?c='.$pc.'&amp;'.SID.'">Вверх</a><br/> ';
foreach($catgr[$c] as $key=>$value) {
echo '<a href="exchanger.php?c='.$key.'&amp;'.SID.'">'.$value.'</a><br/>';
}
echo '<a href="index.php?'.SID.'">На главную</a><br/>';
} else {

$ordFldK[0]='adddate';
$ordFldN[0]='Дате';
$ordFldK[1]='downloaded';
$ordFldN[1]='Популярности';
$ordFldK[2]='size';
$ordFldN[2]='Размеру';
$ordFldK[3]='resolution';
$ordFldN[3]='Разрешению';
$ordFldK[4]='length';
$ordFldN[4]='Длительности';

$onpage=5;
$p=(isset($_GET['p']) && !preg_match('/[^0-9]/',$_GET['p']))?$_GET['p']:0;
$order=((isset($_GET['o']) && isset($ordFldK[$_GET['o']]))?$_GET['o']:1);
$fn='exchanger_'.$ordFldK[$order].'_'.$_GET['c'];
updateData($fn,'/export/exr.php?c='.$c.'&o='.$order);
if($data=getData($fn,$p*$onpage,$onpage)) {
foreach($data as $value) {
if($value[8]>0 && $value[9]>0) {
echo '<img src="http://wapnot.ru/exr/t/'.$value[0].'.gif" width="'.$value[8].'" height="'.$value[9].'" alt=""/><br/>';
}
echo '<a href="http://wapnot.ru/exr/f/'.$value[0].'.'.$value[10].'">Скачать</a><br/>';
if($value[3]!='') {
echo $value[3].'<br/>';
}
if($value[4]!='') {
echo $value[4].'<br/>';
}
echo 'Добавлено: '.$value[1].'<br/>';
echo 'Размер: '.(($value[5]>1048576)?round($value[5]/1048576,2).' МБ':(($value[5]>1024)?round($value[5]/1024).' КБ':$value[5].' Б')).'<br/>';
if($value[6]!='') echo 'Разрешение: '.$value[6].'<br/>';
if($value[7]!='0') echo 'Длительность: '.$value[7].'<br/>';
echo '<br/>';
}
if($p<ceil(getNumRows($fn)/$onpage)-1) {echo '<a href="exchanger.php?p='.($p+1).'&amp;c='.$c.'&amp;o='.$order.'&amp;'.SID.'">Далее &gt;&gt;&gt;</a><br/>';}
if($p>0) {echo '<a href="exchanger.php?p='.($p-1).'&amp;c='.$c.'&amp;o='.$order.'&amp;'.SID.'">&lt;&lt;&lt; Назад</a>';}
echo '<br/>Упорядочить по:<br/>';
for($i=0;$i<sizeof($ordFldK);$i++) {
if($i==$order) {
echo $ordFldN[$i].'<br/>';
} else {
echo '<a href="exchanger.php?p='.($p-1).'&amp;c='.$c.'&amp;o='.$i.'&amp;'.SID.'">'.$ordFldN[$i].'</a><br/> ';
}
}

} else {
echo 'Невозможно получить данные.';
}
echo '<br/>';
echo '<a href="exchanger.php?c='.$_GET['c'].'&amp;'.SID.'">К началу</a><br/>';
echo '<a href="exchanger.php?'.SID.'">К категориям загрузок</a><br/>';
echo '<a href="index.php?'.SID.'">Назад</a><br/>';
}
} else {
echo 'Невозможно получить список категорий.';
}

echo'<a href="../index.php?'.SID.'">На главную</a><br>';
include("../sistem/global_end.dat");
include("../temes/$teme/niz.dat");
?>